Ask session side question
Answer a question using the current session transcript without prompting, interrupting, or modifying the session. This works while the session is in progress. Optionally provide a JSON Schema to receive structured output.
Base URL
POST
Answer a question using the current session transcript without prompting, interrupting, or modifying the session. This works while the session is in progress. Optionally provide a JSON Schema to receive structured output.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
session_id*stringThe unique identifier of the session
application/json- body
prompt*stringThe side question to answer from the current session transcript.
Length
1 <= lengthoutput_schema?Optional JSON Schema for the result. The schema must use the subset supported by OpenAI Structured Outputs.
Question answered successfully
application/json- response
data*curl -X POST 'https://your-org.inspect.com/api/public/v1/sessions/string/btw' \ -H 'Content-Type: application/json' \ -d '{ "prompt": "string"}'Example Response
{ "data": { "prompt": "string", "result": null }}